Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IFieldMesh.VertexGrid

    java.lang.Object
      igeo.IFieldMesh.VertexGrid

Enclosing class:
  IFieldMesh

    public static class IFieldMesh.VertexGrid

extends java.lang.Object

Field Summary
`IVertex[][][]` | `corner`
`IVec` | `pos`
`double` | `xinc`
`int` | `xindex`
`int` | `xnum`
`IVertex[][][]` | `xpt`
`IVertex[][][]` | `xypt`
`double` | `yinc`
`int` | `yindex`
`int` | `ynum`
`IVertex[][][]` | `ypt`
`IVertex[][][]` | `yzpt`
`double` | `zinc`
`int` | `zindex`
`int` | `znum`
`IVertex[][][]` | `zpt`
`IVertex[][][]` | `zxpt`

Constructor Summary
`IFieldMesh.VertexGrid(int xn, int yn, int zn)`

Method Summary
`IVertex` | `corner(int idx)`
`IVertex` | `corner(int i, int j, int k)`
`void` | `corner(IVecI v)`
`IVertex` | `cornerByIndex(int vertexIdx)`
`IFace[]` | `faces(int[] vertexIdx, int[][][] edgeIdx, double[] intensityDif)`
`IVertex[]` | `flipVertexArray(IVertex[] vtx)`
`void` | `index(int i, int j, int k)`
`IVertex` | `pointByIndex(int vtxIdx1, int vtxIdx2)`
`IVec` | `posByIndex(int vtxIdx)`
`IVec` | `posByIndex(int xindex, int yindex, int zindex)`
`IFace` | `quad(int idx)`
`void` | `setGridPosition(IVec pos, double xinc, double yinc, double zinc)`
`IFace` | `triangle(int idx)`
`IVertex` | `v(int idx)`
`IVertex` | `x(int i, int j, int k)`
`void` | `x(int i, int j, int k, IVecI v)`
`void` | `x(IVecI v)`
`IVertex` | `xy(int i, int j, int k)`
`void` | `xy(IVecI v)`
`IVertex` | `y(int i, int j, int k)`
`void` | `y(int i, int j, int k, IVecI v)`
`void` | `y(IVecI v)`
`IVertex` | `yz(int i, int j, int k)`
`void` | `yz(IVecI v)`
`IVertex` | `z(int i, int j, int k)`
`void` | `z(int i, int j, int k, IVecI v)`
`void` | `z(IVecI v)`
`IVertex` | `zx(int i, int j, int k)`
`void` | `zx(IVecI v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xpt

    public IVertex[][][] xpt

### ypt

    public IVertex[][][] ypt

### zpt

    public IVertex[][][] zpt

### corner

    public IVertex[][][] corner

### xypt

    public IVertex[][][] xypt

### yzpt

    public IVertex[][][] yzpt

### zxpt

    public IVertex[][][] zxpt

### xnum

    public int xnum

### ynum

    public int ynum

### znum

    public int znum

### xindex

    public int xindex

### yindex

    public int yindex

### zindex

    public int zindex

### pos

    public IVec pos

### xinc

    public double xinc

### yinc

    public double yinc

### zinc

    public double zinc

Constructor Detail

### IFieldMesh.VertexGrid

    public IFieldMesh.VertexGrid(int xn,
                                 int yn,
                                 int zn)

Method Detail

### setGridPosition

    public void setGridPosition(IVec pos,
                                double xinc,
                                double yinc,
                                double zinc)

### index

    public void index(int i,
                      int j,
                      int k)

### x

    public void x(int i,
                  int j,
                  int k,
                  IVecI v)

### y

    public void y(int i,
                  int j,
                  int k,
                  IVecI v)

### z

    public void z(int i,
                  int j,
                  int k,
                  IVecI v)

### x

    public void x(IVecI v)

### y

    public void y(IVecI v)

### z

    public void z(IVecI v)

### xy

    public void xy(IVecI v)

### yz

    public void yz(IVecI v)

### zx

    public void zx(IVecI v)

### corner

    public void corner(IVecI v)

### x

    public IVertex x(int i,
                     int j,
                     int k)

### y

    public IVertex y(int i,
                     int j,
                     int k)

### z

    public IVertex z(int i,
                     int j,
                     int k)

### corner

    public IVertex corner(int i,
                          int j,
                          int k)

### xy

    public IVertex xy(int i,
                      int j,
                      int k)

### yz

    public IVertex yz(int i,
                      int j,
                      int k)

### zx

    public IVertex zx(int i,
                      int j,
                      int k)

### faces

    public IFace[] faces(int[] vertexIdx,
                         int[][][] edgeIdx,
                         double[] intensityDif)

  Parameters:
    `vertexIdx` - array of 4 index num from 0 to 7

### flipVertexArray

    public IVertex[] flipVertexArray(IVertex[] vtx)

### posByIndex

    public IVec posByIndex(int xindex,
                           int yindex,
                           int zindex)

### posByIndex

    public IVec posByIndex(int vtxIdx)

### pointByIndex

    public IVertex pointByIndex(int vtxIdx1,
                                int vtxIdx2)

### cornerByIndex

    public IVertex cornerByIndex(int vertexIdx)

### triangle

    public IFace triangle(int idx)

  Parameters:
    `idx` - index of corner from 0 to 7.

### quad

    public IFace quad(int idx)

  Parameters:
    `idx` - index of corner from 0 to 2.

### corner

    public IVertex corner(int idx)

  Parameters:
    `idx` - index number from 0 to 7.

### v

    public IVertex v(int idx)

  Parameters:
    `idx` - index number from 0 to 11. 0 - 3 : xpt, 4 - 7 : ypt, 8 - 11: zpt

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD